#!/bin/sh

# Zlib (Debian binary patched to fix buffer overflow)
# 0.0.1 - GuestToo - Jul 11, 2005

tar -xzP --no-same-owner -f dotpup.tar.gz

# backup rc.local, just in case
[ -r /etc/rc.d/rc.local-zlib-BAK ] || cp -f /etc/rc.d/rc.local /etc/rc.d/rc.local-zlib-BAK

# put patch command in rc.local
if ! grep 'libz\.so\.1\.2\.2' /etc/rc.d/rc.local
then
 echo >> /etc/rc.d/rc.local
 echo '[ -r /root/.zlib/libz.so.1.2.2 ] && cp -a /root/.zlib/libz.so* /lib/' >> /etc/rc.d/rc.local
 echo >> /etc/rc.d/rc.local
fi

# patch /lib now
[ -r /root/.zlib/libz.so.1.2.2 ] && cp -a /root/.zlib/libz.so* /lib/

exec rox /root/.zlib/readme.txt
